
"""
Purpose of this program is to test different functions together

"""

import pyCallisto as pyc
import pyCallistoUtils as utils
import astropy.io.fits as pyfits
import matplotlib.pyplot as plt


fits1_path = 'GAURI_20151104_031500_59.fit.gz'
fits2_path = 'GAURI_20151104_033000_59.fit.gz'

fits1 = pyc.pyCallisto.fromFile(fits1_path)
fits2 = pyc.pyCallisto.fromFile(fits2_path)
fits3 = fits1.appendTimeAxis(fits2)
fits4 = fits3.subtractBackground()
fits4.universalPlot()
plt.show()

